/*
	Vir - Variable Interval Reinforcement
	Widget for checking how sick you really are
	Copyright Filipp Lepalaan | filipp@mac.com
	
	kMDItemContentCreationDate	- when the email was sent
	kMDItemFSCreationDate		- when it was received
	
	How many emails total today:
	mdfind 'kMDItemFSCreationDate >= $time.today && kMDItemKind == emlx' | wc -l
	
	* Store record number
	* Manual check frequency : doesn't match PollTime
	* Autom. check freq: matches PollTime
*/

// Email is addictive because it is a variable-interval reinforcement schedule
function loaded ()
{
	// insert progress bar code here
	getStats ();

}

function getStats ()
{
	dayTotal = widget.system ("/usr/bin/mdfind 'kMDItemFSCreationDate >= $time.today && kMDItemKind == emlx' | wc -l", null).outputString;
	yesterdayTotal = widget.system ("/usr/bin/mdfind 'kMDItemFSCreationDate >= $time.yesterday && kMDItemKind == emlx' | wc -l", null).outputString;
	dayTotalRecord = widget.preferenceForKey ('dayTotalRecord');
	if (yesterdayTotal > dayTotalRecord) widget.setPreferenceForKey (yesterdayTotal, 'dayTotalRecord');
	document.getElementById ('dayTotal').innerText = dayTotal;
	document.getElementById ('dayTotal').title = Math.round (dayTotal / 60) + ' email(s)/hour';
	document.getElementById ('dayRecord').innerText = dayTotalRecord;
	document.getElementById ('dayRecord').title = Math.round (dayTotalRecord / 60) + ' email(s)/hour';
	
	return true;
}
